Download it now!
Bug 74209 - Calc freezes after cell range 'copy & paste' on specific ODS file
Summary: Calc freezes after cell range 'copy & paste' on specific ODS file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.3 rc
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0 target:4.2.1
Keywords: regression
Depends on: 72470
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-30 06:06 UTC by walid
Modified: 2015-01-24 12:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
ODS file that has the issue (14.54 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-01-30 06:06 UTC, walid
Details

Note You need to log in before you can comment on or make changes to this bug.
Description walid 2014-01-30 06:06:32 UTC
Created attachment 93034 [details]
ODS file that has the issue

Calc freezes on specific ODS file 

This issue only happens on 4.2.0.3,it opens normally with no issues on previous versions: 3.6, 4.0, 4.1


1- open the sample ods file 
2- sheet1 Select A1:G80 
3- Copy the cells 
3- goto sheet2 and paste   (calc will freeze)


Another issue:

1- open the sample ods file 
2- in sheet1 goto cell G3
3- press delete   (calc freezes or crashes... )
4- same happens for cell G20, G31,G35,... or any cell that there is Arabic near it


Note : I am using ubuntu 13.04 to open the file
Comment 1 tommy27 2014-01-30 06:24:42 UTC
issue confirmed in Version: 4.3.0.0.alpha0+
Build ID: c634faf12886228754eb59ec9bedf6cd6f631054
TinderBox: Win-x86@42, Branch:master, Time: 2014-01-29_22:45:18

works fine in 4.1.4.2 hence regression.
I add Calc expert to CC list.
Comment 2 Kohei Yoshida 2014-02-07 05:34:09 UTC
Check this bug again after the fix for Bug 72470 is in.
Comment 3 m.a.riosv 2014-02-07 22:11:41 UTC
With 4.2.0.4 the bug is still reproducible.

But LibreOffice crash just after opening the sample file, clicking anywhere with:
Win7x64Ultimate
Version: 4.2.1.0.0+ Build ID: 63950ec72806489b41c2109f5c3840dcf22f4c6c
TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-02-07_00:47:07
Even after resetting the user profile.
Comment 4 Kohei Yoshida 2014-02-11 03:26:54 UTC
Additional problem discovered.
Comment 5 Commit Notification 2014-02-11 03:36:36 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be32e707859b3a80766ac29eb5879da3c07544bf

fdo#74209: Catch additional problem discovered.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-02-11 03:36:52 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1da03a88a98b50633d61557de27e4c0702a665eb

fdo#74209: This search algorithm had another issue. This fixes it.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Kohei Yoshida 2014-02-11 03:37:19 UTC
4.2 backport request: https://gerrit.libreoffice.org/7988
Comment 8 Kohei Yoshida 2014-02-11 03:38:18 UTC
The previous fix actually was only a half-fix. It only fixed the search algorithm with regard to the start position.  This fix I just committed fixes it with regard to the end position.
Comment 9 Commit Notification 2014-02-11 12:29:39 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=517cf1185e5e3fd4eaedf6b49ffecbd957317bbb&h=libreoffice-4-2

fdo#74209: This search algorithm had another issue. This fixes it.


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Kohei Yoshida 2014-02-11 13:00:27 UTC
Fixed.
Comment 11 Kohei Yoshida 2014-02-11 13:07:24 UTC
FIXED!
Comment 12 m.a.riosv 2014-02-19 02:45:53 UTC
Thanks Kohei.

Verified with.
Version: 4.2.1.1 Build ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b
Version: 4.3.0.0.alpha0+ Build ID: ecf22894f522374cbdb8196d3bdef88e2fba7af9
   TinderBox: Win-x86@39, Branch:master, Time: 2014-02-15_01:01:17

Also tested auto-filter, works well even selecting RTL text or mixed text.